Package org.apache.sysds.runtime.instructions.gpu

# Class SpoofCUDAInstruction.DoublePrecision

java.lang.Object
org.apache.sysds.runtime.codegen.SpoofCUDAOperator.PrecisionProxy
org.apache.sysds.runtime.instructions.gpu.SpoofCUDAInstruction.DoublePrecision

Enclosing class:
  SpoofCUDAInstruction

public static class SpoofCUDAInstruction.DoublePrecision extends SpoofCUDAOperator.PrecisionProxy

## Constructor Summary

Constructors
Constructor
Description
`DoublePrecision()`

## Method Summary

Modifier and Type
Method
Description
`int`
`exec(SpoofCUDAOperator op)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DoublePrecision

public DoublePrecision()

## Method Details

### exec

public int exec(SpoofCUDAOperator op)

Specified by:
  `exec` in class `SpoofCUDAOperator.PrecisionProxy`